Bug 316321 - Circular dependency cmake/xmlrpc-c
Circular dependency cmake/xmlrpc-c
Product: Fedora
Classification: Fedora
Component: cmake (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 19:08 EDT by Zenon Panoussis
Modified: 2008-10-21 14:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-03 12:19:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zenon Panoussis 2007-10-02 19:08:46 EDT

# rpmbuild --rebuild /tmp/cmake-2.4.6-4.fc7.src.rpm
error: Failed build dependencies:
        xmlrpc-c-devel is needed by cmake-2.4.6-4.i386
# rpmbuild --rebuild /tmp/xmlrpc-c-1.06.11-2.fc7.src.rpm
error: Failed build dependencies:
        cmake is needed by xmlrpc-c-1.06.11-2.i386

Perhaps putting them both in the same src.rpm would allow them to bootstrap
each-other during build.
Comment 1 Orion Poplawski 2007-10-03 12:19:17 EDT
To bootstrap cmake, simply change "--system-libs" to "--no-system-libs" in
cmake.spec.  Build cmake, then build xmlrpc-c, then revert the change and
rebuild cmake.
Comment 2 Orion Poplawski 2008-10-21 14:39:12 EDT
You should now be able to do:

rpmbuild --with-bootstrap

to bootstrap cmake.

Note You need to log in before you can comment on or make changes to this bug.